net.i2p.router.web

## Class NavHelper

- java.lang.Object
- - net.i2p.router.web.NavHelper

    public class NavHelper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`NavHelper()`

### Method Summary

Methods
`static String` `getClientAppLinks(I2PAppContext ctx)` Translated string is loaded by PluginStarter
`static void` `registerApp(String name, String path)` To register a new client application so that it shows up on the router console's nav bar, it should be registered with this singleton.
`static void` `registerApp(String name, String path, String tooltip)`
`static void` `unregisterApp(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NavHelper

    public NavHelper()

### Method Detail

#### registerApp

    public static void registerApp(String name,
                   String path)

To register a new client application so that it shows up on the router console's nav bar, it should be registered with this singleton.

Parameters:
  `name` - pretty name the app will be called in the link
  `path` - full path pointing to the application's root (e.g. /i2ptunnel/index.jsp)

#### registerApp

    public static void registerApp(String name,
                   String path,
                   String tooltip)

#### unregisterApp

    public static void unregisterApp(String name)

#### getClientAppLinks

    public static String getClientAppLinks(I2PAppContext ctx)

Translated string is loaded by PluginStarter